org.apache.http.conn.ssl

## Class TrustSelfSignedStrategy

- java.lang.Object
- - org.apache.http.conn.ssl.TrustSelfSignedStrategy

- All Implemented Interfaces:
    org.apache.http.ssl.TrustStrategy

      public class TrustSelfSignedStrategy
      extends Object
      implements TrustStrategy

  A trust strategy that accepts self-signed certificates as trusted. Verification of all other certificates is done by the trust manager configured in the SSL context.
  Since:
    4.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TrustSelfSignedStrategy` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrustSelfSignedStrategy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isTrusted(X509Certificate[] chain, String authType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final TrustSelfSignedStrategy INSTANCE

  - ### Constructor Detail

    - #### TrustSelfSignedStrategy

          public TrustSelfSignedStrategy()

  - ### Method Detail

    - #### isTrusted

          public boolean isTrusted(X509Certificate[] chain,
                          String authType)
                            throws CertificateException

      Specified by:
        `isTrusted` in interface `org.apache.http.ssl.TrustStrategy`
      Throws:
        `CertificateException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.